Bug 126623 - losetup offset is 32 bits only
losetup offset is 32 bits only
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 17:39 EDT by Christophe GRENIER
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-09 17:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe GRENIER 2004-06-23 17:39:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
losetup supports large file but can't be use with very big offset.
it seems the offset is an int, but it should be a long int (I haven't
check the source)

Version-Release number of selected component (if applicable):
losetup-2.12-18

How reproducible:
Always

Steps to Reproduce:
losetup -o 8315758080 /dev/loop0 /dev/hde
dd if=/dev/loop0 of=dd_1 count=1
losetup -d /dev/loop0
losetup -o 4294967295 /dev/loop0 /dev/hde
dd if=/dev/loop0 of=dd_2 count=1
diff dd_1 dd_2

Actual Results:  offset wraps on 32 bits

Expected Results:  64 bits offset should be handle

Additional info:
Comment 1 Elliot Lee 2004-07-09 17:46:15 EDT
All the plumbing is there except letting you pass it from the command
line. Thanks for the bug report! A patch for this issue is now in CVS.

Note You need to log in before you can comment on or make changes to this bug.